{% extends "@admin/base.html.twig" %}

{% import "@admin/macros.html.twig" as macro %}

{% block body %}
    {{ macro.breadcrumb() }}

    <table class="table table-striped table-sm table-hover">
        <thead class="thead-dark">
        <tr>
            <th>
                <a href="{{ path('admin_series_add') }}" class="btn-sm btn-primary">
                    <i class="fas fa-plus"></i>
                </a>
            </th>
            <th>Nom</th>
            <th></th>
            <th>Pays</th>
            <th>Année</th>
            <th>Attributes</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for item in items %}
            <tr>
                <td>
                    <a href="{{ path('admin_series_edit', {id: item.id}) }}" class="btn-sm btn-primary">
                        <i class="fas fa-pen"></i>
                    </a>
                </td>
                <td>
                    {{ macro.image(item.image) }}
                    <a href="{{ path('admin_series_view', {id: item.id}) }}">{{ item.name }}</a>
                </td>
                <td>
                    {{ macro.catalog_symbol(item) }}
                </td>
                <td>
                    {{ macro.flag(item.country) }} {{ item.country }}
                </td>
                <td>{{ item.year ?: '' }}</td>
                <td>{{ macro.attributes(item) }}</td>
                <td>
                    <span type="button" data-href="{{ path('admin_series_delete', {id: item.id}) }}" class="action-delete btn-sm btn-danger">
                        <i class="fas fa-times"></i>
                    </span>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <div class="text-right">
        {{ macro.pagination('séries') }}
    </div>
{% endblock %}